
/*
    Copyright (C) 2012 NewestTools.com(AlexLe)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/


#ifndef _VBOX_UTIL_H_
#define _VBOX_UTIL_H_

#include <windows.h>
#include <string>
using namespace std;

#define CLIPBOARD_MODE_DISABLED 	 0
#define CLIPBOARD_MODE_HOST_TO_GUEST 1
#define CLIPBOARD_MODE_GUEST_TO_HOST 2
#define CLIPBOARD_MODE_BIDIRECTIONAL 3
#define CLIPBOARD_MODE_MAX 			 CLIPBOARD_MODE_BIDIRECTIONAL

VOID
VBoxUtil_Init();

VOID
VBoxUtil_Clear();

BOOL
VBoxUtil_GetClipboardMode( OUT UINT *pClipboardMode );

BOOL
VBoxUtil_GetMachineName( OUT wstring *pMachineName );


#endif //_VBOX_UTIL_H_
