/*
    Copyright (C) 2012 NewestTools.com(AlexLe)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef _GLOBALS_H_
#define _GLOBALS_H_

#define HOST_INJ_SERVICE_NAMEA  "VMClipExtInj"

#define CURRENT_APP_VERSION 1
#define APP_NAMEA "VMTransferFiles"
#define APP_NAMEW L"VMTransferFiles"

#define GUEST_APP_NAMEA "VMTransferFiles Guest OS Module"
#define GUEST_APP_NAMEW L"VMTransferFiles Guest OS Module"

#define HOST_APP_NAMEA "VMTransferFiles Host OS Module"
#define HOST_APP_NAMEW L"VMTransferFiles Host OS Module"


#define SHARED_MEM_SHELLMENU_COPY_DATA_PARAM 11
#define SHARED_MEM_NAMEA  "VMClipShMem"

#define GSERV_APP_MUTEXA "Global\\VMGServ"

#define GSERV_MONCLIPBOARD_CLASSA "MonClipbrdClass"

#define GSERV_ASADMIN_EXENAMEA "GuestServHostAsAdmin.exe"

#include <pshpack1.h>

typedef struct _SHARED_MEM_SHELLMENU_COMMAND_WINDOW
{
    ULONG64 CommandWnd;
    ULONG   uProcessId;
    UINT    GuestOSVersion;
    UINT    GuestOSIs64bit;
	WCHAR   wszMachineName[50];

}SHARED_MEM_SHELLMENU_COMMAND_WINDOW;


typedef struct _SHARED_MEM_SHELLMENU_CMD_PARAMS_PASTE
{
    WCHAR wszFolder[MAX_PATH];
}SHARED_MEM_SHELLMENU_CMD_PARAMS_PASTE;

#include <poppack.h>

#endif //_GLOBALS_H_
